Bug 1313913 - OSDs card from main dashboard doesn't report error states properly
OSDs card from main dashboard doesn't report error states properly
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: Darshan
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 10:26 EST by Martin Bukatovic
Modified: 2016-07-22 06:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the Main Dashboard (32.22 KB, image/png)
2016-03-02 10:26 EST, Martin Bukatovic
no flags Details

  None (edit)
Description Martin Bukatovic 2016-03-02 10:26:50 EST
Created attachment 1132373 [details]
screenshot of the Main Dashboard

Description of problem
======================

OSDs card from main dashboard doesn't report error states properly.

Version-Release number of selected component
============================================

rhscon-core-0.0.8-10.el7.x86_64
rhscon-ui-0.0.19-1.el7.noarch
rhscon-ceph-0.0.6-10.el7.x86_64

rhscon-agent-0.0.3-3.el7.noarch

How reproducible
================

100 %

Steps to Reproduce
==================

1. Install usm following the documentation
2. Accept all nodes and create a cluster
3. Define object storage (rados)
4. Shut down one machine which hosts some OSDs
5. Check the *OSDs card* from the main dashboard

Actual results
==============

OSDs card looks the same as if everything is ok, (see the screenshot):

~~~
8 OSDs
~~~

Even though I have one node with 2 OSDs down out of 8 OSDs in total.

Expected results
================

The OSDs card would reflect the state and would show some
warning or error numbers.
Comment 3 Darshan 2016-05-05 06:51:16 EDT
This has been fixed as follows:

We listen to events emitted by calamari, calamari emits events when there is a change is osd state. Based on the event we update the status of osd in skyring DB, which in turn will be reflected in UI.
Comment 4 Martin Kudlej 2016-07-22 06:22:22 EDT
tested with 
ceph-ansible-1.0.5-27.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.33-1.el7scon.x86_64
rhscon-core-0.0.34-1.el7scon.x86_64
rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-ui-0.0.48-1.el7scon.noarch

and it works. --> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.